xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ResizeScreen

Contents

- Usage:

Description

A layout transformer to have a layout respect a given screen geometry. Mostly used with Decoration (the Horizontal and the Vertical version will react to SetTheme and change their dimension accordingly.

Synopsis

- resizeHorizontal :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeVertical :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeHorizontalRight :: Int -> l a -> ModifiedLayout ResizeScreen l a
- resizeVerticalBottom :: Int -> l a -> ModifiedLayout ResizeScreen l a
- withNewRectangle :: Rectangle -> l a -> ModifiedLayout ResizeScreen l a
- data ResizeScreen a
  - = ResizeScreen ResizeMode Int
  - | WithNewScreen Rectangle
- data ResizeMode

# Usage:

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

    import XMonad.Layout.ResizeScreen

and modifying your layoutHook as follows (for example):

    layoutHook = resizeHorizontal 40 Full

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

resizeHorizontal :: Int -> l a -> ModifiedLayout ResizeScreen l a #

resizeVertical :: Int -> l a -> ModifiedLayout ResizeScreen l a #

resizeHorizontalRight :: Int -> l a -> ModifiedLayout ResizeScreen l a #

resizeVerticalBottom :: Int -> l a -> ModifiedLayout ResizeScreen l a #

withNewRectangle :: Rectangle -> l a -> ModifiedLayout ResizeScreen l a #

data ResizeScreen a #

Constructors

ResizeScreen ResizeMode Int |
WithNewScreen Rectangle |

Instances

LayoutModifier ResizeScreen a # |
Methods modifyLayout :: LayoutClass l a => ResizeScreen a -> Workspace WorkspaceId (l a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (l a)) # modifyLayoutWithUpdate :: LayoutClass l a => ResizeScreen a -> Workspace WorkspaceId (l a) a -> Rectangle -> X (([(a, Rectangle)], Maybe (l a)), Maybe (ResizeScreen a)) # handleMess :: ResizeScreen a -> SomeMessage -> X (Maybe (ResizeScreen a)) # handleMessOrMaybeModifyIt :: ResizeScreen a -> SomeMessage -> X (Maybe (Either (ResizeScreen a) SomeMessage)) # pureMess :: ResizeScreen a -> SomeMessage -> Maybe (ResizeScreen a) # redoLayout :: ResizeScreen a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> X ([(a, Rectangle)], Maybe (ResizeScreen a)) # pureModifier :: ResizeScreen a -> Rectangle -> Maybe (Stack a) -> [(a, Rectangle)] -> ([(a, Rectangle)], Maybe (ResizeScreen a)) # hook :: ResizeScreen a -> X () # unhook :: ResizeScreen a -> X () # modifierDescription :: ResizeScreen a -> String # modifyDescription :: LayoutClass l a => ResizeScreen a -> l a -> String #
Read (ResizeScreen a) # |
Methods readsPrec :: Int -> ReadS (ResizeScreen a) # readList :: ReadS [ResizeScreen a] # readPrec :: ReadPrec (ResizeScreen a) # readListPrec :: ReadPrec [ResizeScreen a] #
Show (ResizeScreen a) # |
Methods showsPrec :: Int -> ResizeScreen a -> ShowS # show :: ResizeScreen a -> String # showList :: [ResizeScreen a] -> ShowS #

data ResizeMode #

Instances

Read ResizeMode # |
Methods readsPrec :: Int -> ReadS ResizeMode # readList :: ReadS [ResizeMode] # readPrec :: ReadPrec ResizeMode # readListPrec :: ReadPrec [ResizeMode] #
Show ResizeMode # |
Methods showsPrec :: Int -> ResizeMode -> ShowS # show :: ResizeMode -> String # showList :: [ResizeMode] -> ShowS #